Inform users inside the editor that visual diffs are in beta
Closed, ResolvedPublic1 Story Points

Description

As was discussed in T170156: Should we indicate to users that visual diffs are in beta?, we should inform users that visual diffs are in beta, and provide users a way to give feedback.

A mockup of the solution decided in that task:

Deskana created this task.Jul 14 2017, 9:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2017, 9:53 AM
Deskana triaged this task as Normal priority.Jul 14 2017, 9:54 AM
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Deskana renamed this task from Inform users visual diffs is in beta to Inform users visual diffs are in beta.

Thinking about implement this - dialog headers and footers are currently reserved for dialog actions - which trigger a specific bit of code (#getActionProcess). Trying to turn one of those buttons into an external link might be a bit tricky, and inconsistent with how the dialogs were designed to work. Pinging @matmarex.

If you put a 'href' key in a .static.actions item, I'm pretty sure that will work. Although you might need to do something weird to remove the event handlers from the ActionWidget…

Alternatively, just create a normal ButtonWidget and stick it inside this.$foot in initialize()?

Alternatively, just create a normal ButtonWidget and stick it inside this.$foot in initialize()?

That's going to be a pain because we make use of dialog modes to hide/show various buttons on various pages.

If it's going to be difficult to add the button at the bottom, we can add the beta label first then add the button later. That's not ideal, but it is an improvement over the current situation where users are not informed at all.

We could also be lazy and just give the button an action that does window.open( … )… shrug.

Elitre added a subscriber: Elitre.Jul 27 2017, 3:36 PM

Change 371517 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/VisualEditor@master] Inform users visual diffs are in beta

https://gerrit.wikimedia.org/r/371517

That does @Deskana's suggestion but not @matmarex's...

Change 371517 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Inform users visual diffs are in beta

https://gerrit.wikimedia.org/r/371517

The label change is merged. The feedback link still needs to be added.

Deskana set the point value for this task to 1.Aug 22 2017, 2:21 PM

Change 374636 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/VisualEditor@master] WIP Add feedback link for visual diff

https://gerrit.wikimedia.org/r/374636

Since that page exists, I guess we can reuse it.

Yes, I think that's the best place for feedback.

Deskana renamed this task from Inform users visual diffs are in beta to Inform users inside the editor that visual diffs are in beta .Sep 5 2017, 10:06 AM

Change 374636 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Add feedback link for visual diff inside save dialog

https://gerrit.wikimedia.org/r/374636

Deskana closed this task as Resolved.Sep 11 2017, 12:03 PM
Deskana assigned this task to Tchanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 11 2017, 12:03 PM

Updated release tag to represent the merging of the latest patch.